Hoppa till innehåll

Recraft V4.1 Text to Image

Integrera

Modell-id recraft/v4.1/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4.1/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: '\''MAKE IT BREAK / MAKE IT WORK'\'' (large serif, slightly distorted, crossing the upper body), '\''no perfect version exists'\'' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Den här begäran: 0,035 $ 35 API-krediter · ≈ 3,77 ₽ Kör den på den här sidan

Hämta API-nyckel
Recraft Text till bild #design#brand-colors#illustration

Designinriktad bildmodell med varumärkespaletter och kontroll över bakgrundsfärg.

Exempel

Resultat · ~27 s
Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure domi...

PromptFull-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: 'MAKE IT BREAK / MAKE IT WORK' (large serif, slightly distorted, crossing the upper body), 'no perfect version exists' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character.

0,035 $ · 35 API-krediter

Prompt från @recraftai på X

Skapa en begäran

Kontrollerna genereras från modellschemat. Koden och priset uppdateras när du ändrar dem.

•obligatoriskt 700 / 10000
image_size standard square_hd
Avancerat colors · background_color
standard []

Array med önskade färger.

Önskad bakgrundsfärg för genererade bilder.

POST /run/recraft/v4.1/text-to-image?wait=20 pris → 0,035 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4.1/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: '\''MAKE IT BREAK / MAKE IT WORK'\'' (large serif, slightly distorted, crossing the upper body), '\''no perfect version exists'\'' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kör den här begäran

Din nyckel stannar i den här webbläsaren: den skickas endast till Doitong API och sparas endast i localStorage om du markerar Kom ihåg. Hämta en API-nyckel

Om Recraft V4.1 Text to Image

Recraft V4.1 är byggd för designarbete: marknadsföringsmaterial, illustrationer och produktbilder med ren komposition. Skicka en lista med önskade RGB-färger för att behålla en varumärkespalett, eller lås bakgrundsfärgen för konsekventa serier. En bild per begäran med förinställd eller anpassad storlek.

Parametrar

NamnTyp StandardTillåtna Beskrivning
promptobligatoriskt
Typstring
≤ 10 000 tecken
image_sizevalfritt
Typobject
Standardsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
colorsvalfritt
Typobject[]
Standard[]
Array med önskade färger.
colors[].rvalfritt
Typinteger
Standard0
0 – 255
Värdet för den röda komponenten.
colors[].gvalfritt
Typinteger
Standard0
0 – 255
Värdet för den gröna komponenten.
colors[].bvalfritt
Typinteger
Standard0
0 – 255
Värdet för den blå komponenten.
background_colorvalfritt
Typobject
Önskad bakgrundsfärg för genererade bilder.
background_color.rvalfritt
Typinteger
Standard0
0 – 255
Värdet för den röda komponenten.
background_color.gvalfritt
Typinteger
Standard0
0 – 255
Värdet för den gröna komponenten.
background_color.bvalfritt
Typinteger
Standard0
0 – 255
Värdet för den blå komponenten.
obligatoriskt

Resultat

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4.1/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "Tilt-shift miniature view of a fishing village harbor at golden hour, colorful boats, toy-like scale",
    "image_size": "landscape_16_9"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dina filer, ditt valVarje outputs[].url är en kopia i vår lagring: sparad för alltid (debiteras per GB-månad) eller 7 dagar kostnadsfritt, enligt din kontoinställning eller ?storage=.
Samma struktur för varje modelltype, url, content_type, width, height och duration, för bilder, video och ljud. output är modellens eget resultatobjekt.
Resultatets fält
images
array of object {url, content_type, file_name, file_size}

Fler modeller: Text till bild

För AI-agenter: den här sidan som Markdown finns på https://doitong.com/sv/developers/models/recraft/v4.1/text-to-image.md. Alla modeller och guider: https://doitong.com/developers/llms.txt